#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-4HSYq00Brq4BzW7W6z5fl6
key:                  structured-0.1.1-4HSYq00Brq4BzW7W6z5fl6
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  d7c7a3730c69358c1542e078e37cb4b1
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-4HSYq00Brq4BzW7W6z5fl6
depends:
    aeson-2.1.0.0-4XirMn5QqAHAmKKHmKcjY6 array-0.5.4.0 base-4.15.1.0
    base16-bytestring-1.0.2.0-FuKpgH3hiHmGF8OBxDTrdW binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.4.1.0-1IYtrJkqGO3FBsSvXBzaLr
    scientific-0.3.7.0-1bojvUfWs0v5i1oF3nGLCf
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    time-compat-1.9.6.1-D9ED5V2L3nrHjZIUrHd9Rg transformers-0.5.6.2
    unordered-containers-0.2.19.1-FjtN46r9B8VFoR43GpqwkA
    uuid-types-1.0.5-I6PYvjVmjeX3XRSEGjVP5n
    vector-0.13.0.0-GsrNLADOwIh8THk5NHujPC

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

